Subject: Re: bug#33816: 24.4; scroll-up

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Dec 2018 09:08:30 +0200

> Date: Thu, 20 Dec 2018 19:00:15 -0800
> From: A Kurn <[email-masked]>
> 
> When I scroll up, using scroll-up, and point is at the top of
> the screen, point moves so that the scroll can take place and
> still leave point on the screen.  Point remains in the first
> line.
> 
> OTOH, when I scroll down and point is on the last line, it jumps
> to the second-last line.  This is an error and new behavior.
> It should be on the last line, mirroring the behavior of
> scroll-up.

I can reproduce this in Emacs 24.4, but not in Emacs 25.1 nor the
latest pretest of Emacs 26.2.  Your Emacs version is quite old, so I
suggest to try a newer one (the last released version is 26.1, and
26.2 is going to be released soon), as it seems that this was a
problem in that old version that was already fixed.

Thanks.